Debian Bug report logs - #605133
RFP: muon -- package manager based on QApt

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: ivanbashlakov@ya.ru

Date: Sat, 27 Nov 2010 18:00:01 UTC

Severity: wishlist

Merged with 605906

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#605133; Package wnpp. (Sat, 27 Nov 2010 18:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to ivanbashlakov@ya.ru:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sat, 27 Nov 2010 18:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: tag <ivanbashlakov@ya.ru>
To: submit@bugs.debian.org
Subject: RFP:Muon is a package manager based on QApt
Date: Sat, 27 Nov 2010 20:52:06 +0300
Package: wnpp
Severity: wishlist

Hello!

I have found  in a network the application which is the manager of .deb-
packets for graphic environment KDE.
Project objective Muon — to become convenient and multifunctional graphic 
means of operation with software packages.
The developer of project Jonathan Thomas  [ echidnaman@gmail.com ] ,among the 
main possibilities already implemented in the manager of packets Muon Among 
the main possibilities already implemented in the manager of packets Muon 
marks:

- Powerful and intuitive enough interface;
- Fast and exact search of packets with index usage apt-xapian and retrieval 
algorithm Synaptic;
- Support of a filtration of packets under the status and a category;
- Support of change of carriers (with repositories);
- Support of adjustment of packets by means of system debconf;
- The prohibition of setting "doubtful" (untrusted) packets or an output of 
appropriate warnings (depending on adjustments APT);
- Usage PolicyKit for performance of the actions demanding raised privileges;
- Correct passage in a waiting mode in load time, setting and removals of 
packets;
- Support last ChangeLog for a package;
- Screenshots of packets.

Screenshots with Muon are in operation published in a blog of the developer 

http://jontheechidna.wordpress.com/2010/07/05/introducing-qapt-and-the-muon-
package-manager/ 

Packets with the first versions Muon for Kubuntu can be found on launchpad.net.

https://edge.launchpad.net/~echidnaman/+archive/qapt/

I very much would want that this application was supported by community debian 
and was in debian repository.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#605133; Package wnpp. (Sun, 19 Dec 2010 13:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian@dct.mine.nu:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 19 Dec 2010 13:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 605133@bugs.debian.org (full text, mbox):

From: Debian <debian@dct.mine.nu>
To: 605133@bugs.debian.org
Subject: KDE package manager is needed
Date: Sun, 19 Dec 2010 14:21:51 +0100
I also miss a KDE package manager for Debian.

I have found this 2 additional links, but i don't know howto build muon 
with this sources ...
https://launchpad.net/ubuntu/natty/+source/muon/1.0.80-0ubuntu2

https://launchpad.net/muon/trunk/1.0.80

http://jontheechidna.wordpress.com/2010/07/05/introducing-qapt-and-the-muon-package-manager/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#605133; Package wnpp. (Mon, 10 Jan 2011 05:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to kyriakos kyriakos <kyriakoskyriakos@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 10 Jan 2011 05:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 605133@bugs.debian.org (full text, mbox):

From: kyriakos kyriakos <kyriakoskyriakos@gmail.com>
To: 605133@bugs.debian.org
Subject: i cant wait for muon software center and muon package manager to get packaged in Debian
Date: Mon, 10 Jan 2011 07:13:18 +0200
[Message part 1 (text/plain, inline)]
i cant wait for muon software center and muon package manager to get
packaged in Debian i wish i knew how to package them
[Message part 2 (text/html, inline)]

Forcibly Merged 605133 605906. Request was from Dario Minnucci <midget@debian.org> to control@bugs.debian.org. (Thu, 10 Feb 2011 21:15:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: muon -- Muon is a package manager based on QApt' from 'RFP:Muon is a package manager based on QApt' Request was from Dario Minnucci <midget@debian.org> to control@bugs.debian.org. (Thu, 10 Feb 2011 21:54:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP:Muon is a package manager based on QApt' from 'RFP: muon -- Muon is a package manager based on QApt' Request was from José Manuel Santamaría Lema <panfaust@gmail.com> to control@bugs.debian.org. (Mon, 25 Jul 2011 16:27:05 GMT) Full text and rfc822 format available.

Owner recorded as José Manuel Santamaría Lema <panfaust@gmail.com>. Request was from José Manuel Santamaría Lema <panfaust@gmail.com> to control@bugs.debian.org. (Mon, 25 Jul 2011 16:27:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: muon -- package manager based on QApt' from 'ITP:Muon is a package manager based on QApt' Request was from José Manuel Santamaría Lema <panfaust@gmail.com> to control@bugs.debian.org. (Mon, 25 Jul 2011 16:39:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, José Manuel Santamaría Lema <panfaust@gmail.com>:
Bug#605133; Package wnpp. (Wed, 25 Jul 2012 22:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian@dct.mine.nu:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, José Manuel Santamaría Lema <panfaust@gmail.com>. (Wed, 25 Jul 2012 22:54:03 GMT) Full text and rfc822 format available.

Message #30 received at 605133@bugs.debian.org (full text, mbox):

From: Karsten Malcher <debian@dct.mine.nu>
To: debian-devel@lists.debian.org
Cc: 605133@bugs.debian.org
Subject: Re: Re: Preinstalled package manager(s) for PCs (wheezy)
Date: Thu, 26 Jul 2012 00:45:26 +0200
Hi,

just have a look here:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=605133

Obviously there is no interest for a package manager in X any more.
So back to the roots with aptitude ... ;-)

Or maybe the idea is that Debian has to be a distribution for servers only?
Here is no response in the same way:
http://lists.debian.org/debian-ctte/2012/02/msg00026.html

Cheers
Karsten

P.S.
This is the newest thread i reply here:
http://lists.debian.org/debian-devel/2012/03/msg00829.html




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, José Manuel Santamaría Lema <panfaust@gmail.com>:
Bug#605133; Package wnpp. (Sat, 17 Aug 2013 07:14:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, José Manuel Santamaría Lema <panfaust@gmail.com>. (Sat, 17 Aug 2013 07:14:06 GMT) Full text and rfc822 format available.

Message #35 received at 605133@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 605133@bugs.debian.org
Cc: control@bugs.debian.org
Subject: muon: changing back from ITP to RFP
Date: Sat, 17 Aug 2013 09:06:07 +0200
retitle 605133 RFP: muon -- package manager based on QApt
noowner 605133
tag 605133 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging muon. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of muon back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in packaging muon, please send a mail to
<control@bugs.debian.org> with:

 retitle 605133 ITP: muon -- package manager based on QApt
 owner 605133 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <605133@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: muon -- package manager based on QApt' from 'ITP: muon -- package manager based on QApt' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:19:01 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by José Manuel Santamaría Lema <panfaust@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:19:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:36:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.